mod day1;
mod day2;
mod day3;
mod day4;

use std::fs::File;
use std::io::{self, BufRead, BufReader};

fn main() -> io::Result<()> {
    let f = BufReader::new(File::open("day1-input.txt")?);
    let masses: Vec<u64> = f
        .lines()
        .map(|line| line.unwrap().parse().unwrap())
        .collect();
    day1::main(masses);

    day2::part_one();
    day2::part_two();

    day3::main()?;

    day4::main()?;

    Ok(())
}
